Bug 1384393 (CVE-2016-8659) - CVE-2016-8659 bubblewrap: Privilege escalation via PR_SET_DUMPABLE flag
Summary: CVE-2016-8659 bubblewrap: Privilege escalation via PR_SET_DUMPABLE flag
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-8659
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1384394
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-13 08:44 UTC by Andrej Nemec
Modified: 2019-09-29 13:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-02 08:50:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github projectatomic bubblewrap issues 107 None None None Never

Description Andrej Nemec 2016-10-13 08:44:26 UTC
A local privilege escalation vulnerability was found in bubblewrap. Possible misuse of PR_SET_DUMPABLE flag might result in arbitrary code execution.

References:

http://seclists.org/oss-sec/2016/q4/105

Comment 1 Andrej Nemec 2016-10-13 08:45:24 UTC
Created bubblewrap tracking bugs for this issue:

Affects: fedora-all [bug 1384394]

Comment 2 Andrej Nemec 2016-10-13 13:17:09 UTC
Upstream bug:

https://github.com/projectatomic/bubblewrap/issues/107


Note You need to log in before you can comment on or make changes to this bug.